package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FieldMappingFactory
{
    private FieldMappingFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.IFieldMapping getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFieldMapping)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("E3ED9C05") ,com.kingdee.eas.custom.esign.IFieldMapping.class);
    }
    
    public static com.kingdee.eas.custom.esign.IFieldMapping getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFieldMapping)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("E3ED9C05") ,com.kingdee.eas.custom.esign.IFieldMapping.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.IFieldMapping getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFieldMapping)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("E3ED9C05"));
    }
    public static com.kingdee.eas.custom.esign.IFieldMapping getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFieldMapping)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("E3ED9C05"));
    }
}